Package: groovy.transform

## [Java] Enum RecordTypeMode

- groovy.transform.RecordTypeMode

-     public enum RecordTypeMode
      extends Enum

  Intended mode to use for records when using the `@RecordType` annotation (or `record` keyword).

  Since:
    4.0.0
  See Also:
    RecordType

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `AUTO` | Produce native records when compiling for a suitable target bytecode (JDK16+).
    `EMULATE` | Produce a record-like class.
    `NATIVE` | Produce a Java-like "native" record (JEP 359/384/395).

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `compareTo, compareTo, describeConstable, equals, getClass, getDeclaringClass, hashCode, name, notify, notifyAll, ordinal, toString, valueOf, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RecordTypeMode AUTO

      Produce native records when compiling for a suitable target bytecode (JDK16+).

    - #### RecordTypeMode EMULATE

      Produce a record-like class.

    - #### RecordTypeMode NATIVE

      Produce a Java-like "native" record (JEP 359/384/395).